classification
Title: [2.7] Enhance PC/VS9.0/ project to produce python.bat, as PCbuild/
Type: Stage: resolved
Components: Build, Windows Versions: Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: jkloth, paul.moore, tim.golden, vstinner, zach.ware
Priority: normal Keywords:

Created on 2017-08-22 15:18 by vstinner, last changed 2017-09-08 22:42 by zach.ware. This issue is now closed.

Messages (3)
msg300704 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-22 15:18
It would be nice to have a python.bat script produced by the PC/VS9.0/ project, as done by the PCbuild/ project.

It would fix the newly added buildbot step "pythoninfo":
https://bugs.python.org/issue30871#msg300703

Without python.bat, it's not easy to get the path to the Python executable from the buildbot configuration.
msg301747 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-08 22:40
Zachary Ware added pythoninfo to buildbot VS9.0 builds:
https://github.com/python/buildmaster-config/commit/c1d51a791d63c5e7d05c160ba25babd302fefe83
msg301748 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-09-08 22:42
I'd rather not go through the gymnastics to actually add python.bat creation to the VS9.0 config, so I'm closing this as rejected.  If someone else finds it useful and wants to provide a patch, I'll review and merge it.
History
Date User Action Args
2017-09-08 22:42:17zach.waresetstatus: open -> closed
resolution: rejected
messages: + msg301748

stage: resolved
2017-09-08 22:40:43vstinnersetmessages: + msg301747
2017-08-26 09:03:20jklothsetnosy: + jkloth
2017-08-22 17:37:03steve.dowersetnosy: - steve.dower
2017-08-22 15:18:17vstinnercreate